Subject: Re: Contribution - Vickers Wellesley
From: "Steve Bamford" <[email-masked]>
To: "Richard Eglen" <[email-masked]>
Date: Wed, 6 Nov 2002 14:34:40 -0800

---- Original Message ----- 
  From: Richard Eglen 
  To: [email-masked] 
  Sent: Sunday, October 20, 2002 9:31 PM
  Subject: Contribution - Vickers Wellesley

  Steve,

  Its been a while since we last e-mailed each other, but i wonder if I could submit a model contribution. Its another Sanger vacform, this time of the Vickers Wellesley. I attach a Word document with details of the aircraft and the model as well as a series of model photos. Feel free to use some or all of the pictures. 

  I visit your site frequently and am always impressed with the content and frequency of updates! Look forward to hearing from you

  Regards

  Richard Eglen